# Interface IFacetSearchRequest

## Index

### Properties

- basePath
- captions
- delimitingCharacter
- field
- ignorePaths
- ignoreValues
- numberOfValues
- query
- searchContext
- type

## Properties

### Optional basePath

basePath: string[]

- Defined in rest/Facet/FacetSearchRequest.ts :95

### Optional captions

captions: Record<string, string>

- Defined in rest/Facet/FacetSearchRequest.ts :63

### Optional delimitingCharacter

delimitingCharacter: string

- Defined in rest/Facet/FacetSearchRequest.ts :89

### field

field: string

- Defined in rest/Facet/FacetSearchRequest.ts :24

### Optional ignorePaths

ignorePaths: String[][]

- Defined in rest/Facet/FacetSearchRequest.ts :42

### Optional ignoreValues

ignoreValues: String[]

- Defined in rest/Facet/FacetSearchRequest.ts :36

### Optional numberOfValues

numberOfValues: number

- Defined in rest/Facet/FacetSearchRequest.ts :48

### Optional query

query: string

- Defined in rest/Facet/FacetSearchRequest.ts :56

### Optional searchContext

searchContext: IQuery

- Defined in rest/Facet/FacetSearchRequest.ts :69

### Optional type

type: FacetSearchType

- Defined in rest/Facet/FacetSearchRequest.ts :30

### Hierarchy

- IFacetSearchRequest